#
# AtlantisBlueCMS Portal.py
#
# Portions adapted from CMSPlone 1.0.1 Portal.py	dhart	2003-04-09
#
from Products.PageTemplates.PageTemplateFile import PageTemplateFile
from Products.CMFCore.utils import getToolByName
from Products.CMFPlone.Portal import *
from Products.AtlantisBlueCMS.CMS import CMSSite

manage_addSiteForm = PageTemplateFile('www/addSite', globals())

class CMSGenerator(PloneGenerator):

    klass=CMSSite

    def customizeCMSTypes(self, p):
        typesTool=getToolByName(p, 'portal_types')
        typesTool.manage_addTypeInformation(FactoryTypeInformation.meta_type
					   , id='CMS Folder'
					   , typeinfo_name='AtlantisBlueCMS: CMS Folder')
        typesTool.manage_addTypeInformation(FactoryTypeInformation.meta_type
					   , id='CMS Page'
					   , typeinfo_name='AtlantisBlueCMS: CMS Page')

    def customizeCMSSite(self, site):
     site.manage_changeProperties(_is_published=0)
     site.manage_changeProperties(left_slots='')
     site.manage_changeProperties(right_slots='')
     #site.manage_addProperty( '_is_published', 0, 'boolean' )
     site.cmsAddContentFolders()
     return None

def manage_addSite(self, id, title='Atlantis Blue CMS', description='',
                   create_userfolder=1,
                   email_from_address='cmsadmin@atlantisblue.com.au',
                   email_from_name='CMS Site Administrator',
                   validate_email=0,
                   custom_policy='Private Plone Site',
		   REQUEST={},
                   RESPONSE=None):
    """ Atlantis Blue CMS Site factory """
    gen = CMSGenerator()
    p = gen.create(self, id.strip(), create_userfolder)
    gen.setupDefaultProperties(p, title, description,
                               email_from_address, email_from_name,
                               validate_email)
    customization_policy=None
    if listPolicies() and custom_policy:
        customization_policy=custom_policies[custom_policy]
        customization_policy.customize(p)
    
    # reindex catalog and workflow settings
    p.portal_catalog.refreshCatalog()     
    p.portal_workflow.updateRoleMappings() 

    # Atlantis Blue CMS changes to CMFPlone.Portal.manage_addSite and Plone Default

    #gen.customizePortalTypes(p)  already runs from CMFPlone/Portal.py/setupPlone
    gen.customizeCMSTypes(p)
    gen.customizeCMSSite(p)

    p.manage_addProduct['PythonScripts'].manage_addPythonScript(id='getSiteRoot')
    getSiteRoot=getattr(p, 'getSiteRoot')
    getSiteRoot.ZPythonScript_edit( params='', body='return container')

    #if RESPONSE is not None:
    #    RESPONSE.redirect(p.absolute_url())

    return p.cmsadmin(REQUEST)
