#
# AtlantisBlueCMS __init__.py					2003-04-05 dhart
#
# note: parts modified from CMFPlone 1.0.1 __init__.py 
#
from AccessControl import ModuleSecurityInfo
from Products.OrderedFolder import NoBabelTag
from Products.CMFCore import utils 
from Products.CMFPlone import	PloneFolder, CustomizationPolicy, PrivateSitePolicy, z_bases, tools, contentClasses, ADD_CONTENT_PERMISSION, contentConstructors
from Products.AtlantisBlueCMS import Portal, CMSFolder, CMSPage

cmfplone_globals=globals()

ModuleSecurityInfo('Products.AtlantisBlueCMS.Portal').declarePublic('listPolicies')

contentClasses = ( 	PloneFolder.PloneFolder 
		 ,	CMSFolder.CMSFolder
		 ,	CMSPage.CMSPage)

contentConstructors = ( PloneFolder.addPloneFolder, 
			CMSFolder.addCMSFolder, 
			CMSPage.addCMSPage)

factoryTypeInfo = ( 	
		  	CMSFolder.factory_type_information
		  +	CMSPage.factory_type_information )

def initialize(context):
    utils.initializeBasesPhase2( z_bases, context )    
#    utils.ToolInit('Atlantis Blue CMS Tool', tools=tools,
#                   product_name='Atlantis Blue CMS', icon='tool.gif',
#                   ).initialize( context )
    utils.ContentInit( 'Atlantis Blue CMS Content'
                     , content_types=contentClasses
                     , permission=ADD_CONTENT_PERMISSION
                     , extra_constructors=contentConstructors
                     , fti=factoryTypeInfo
                     ).initialize( context )
    context.registerClass(meta_type='Atlantis Blue CMS Site',
                          permission='Add CMF Sites',
                          constructors=(Portal.manage_addSiteForm,
                                        Portal.manage_addSite,) )

    context.registerClass(CMSFolder,
                          permission='Add portal folders',
                          constructors=(CMSFolder.addCMSFolderForm,CMSFolder.addCMSFolder) )

    context.registerClass(CMSPage,
                          permission='Add portal content',
                          constructors=(CMSPage.addCMSPageForm,CMSPage.addCMSPage) )

    CustomizationPolicy.register(context, cmfplone_globals)
    PrivateSitePolicy.register(context, cmfplone_globals)
